S

Visitor

 • 

2 Messages

Wed, Jul 21, 2021 3:40 PM

xfinity stream

I have the Samsung Tablet with Android 9 in it, it seems like it stopped working and it said Android 5+ is required, what is going on? Now it said The System isn't compatible with Xfinity Stream?

Responses

Official Employee

 • 

131 Messages

2 m ago

Hi, @sunny1180 To access and watch all content, including content available to watch when out-of-home, Xfinity Stream app version 6.9.0 or later is required. Please visit the Google Play Store to download the latest version. 

Visitor

 • 

2 Messages

@XfinityAlisha I was on my tablet and try to install the Stream app from Google Play Store, it didn't even show the install button, just like an incompatible app that you can not install... I had it working before, but now it stopped working and showed Android 5+ is required, so I tried to uninstall the app and re-install, but I couldn't re-install since the Install button is not there anymore......

 

Official Employee

 • 

358 Messages

Have you ensured that your tablet is up to date with the latest version? 

I am an Official Xfinity Employee.
Official Employees are from multiple teams within Xfinity: CARE, Product, Leadership.
We ask that you post publicly so people with similar questions may benefit from the conversation.
Was your question answered? Please, mark a reply as the Accepted Answer.tick

New to the Community?

Start Here